Bug 849761 - UX: We need a comprehensive, scalable, and performant approach to large resource trees
UX: We need a comprehensive, scalable, and performant approach to large resou...
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: JON 3.4.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
: 848853 (view as bug list)
Depends On: 847014 848853 849751
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 15:11 EDT by Jay Shaughnessy
Modified: 2014-12-17 18:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2012-08-20 15:11:44 EDT
For resource trees that may need to display large numbers of children/siblings we need to give the user something they can work with.

Today we protect ourselves from unbounded queries but at the expense of possible truncation/pruning of the tree.

More importantly we:
- Don't give any visual indication that the tree has been pruned (i.e. that we didn't pull all of the resources because there were too many).

- Pull a lot of resource that may not be necessary. For example, we pull all the direct children of a parent resource regardless of what the user may be trying to look at.  We may want to consider pulling only the child *types* before we actually pull the instances of those types.

We need UX design for how the tree can best interact with the user while still not allowing unbounded data fecthes (perhaps easily leading them to a more paging oriented search/list view).
Comment 3 mark yarborough 2012-11-20 15:45:55 EST
Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).
Comment 5 Jay Shaughnessy 2014-08-22 16:24:28 EDT
This is not going to make it into 3.3 and I'm not sure the priority merits keeping it, perhaps consider Won't Fix.
Comment 6 Jay Shaughnessy 2014-08-22 16:26:58 EDT
*** Bug 848853 has been marked as a duplicate of this bug. ***
Comment 7 Jay Shaughnessy 2014-08-22 16:28:05 EDT
See Bug 849761, which has been marked duplicate but may offer ideas if this ever moves forward.

Note You need to log in before you can comment on or make changes to this bug.